Index: app/Tygh/Backend/Cache/Redis.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/app/Tygh/Backend/Cache/Redis.php b/app/Tygh/Backend/Cache/Redis.php
--- a/app/Tygh/Backend/Cache/Redis.php	(revision 44704fa110be9b75abe0cf9ac6169d978797d508)
+++ b/app/Tygh/Backend/Cache/Redis.php	(date 1675076500807)
@@ -49,6 +49,8 @@
      */
     private $port = 6379;
 
+    private $password;
+
     /**
      * Redis constructor.
      *
@@ -63,6 +65,10 @@
         ];
 
         $this->host = $config['cache_redis_server'];
+        $this->password = (
+            isset($config['cache_redis_server_password'])
+            && !empty($config['cache_redis_server_password'])
+        ) ? $config['cache_redis_server_password'] : null;
 
         if (strncmp($this->host, '/', 1) === 0) {
             $this->port = null;
@@ -166,6 +172,9 @@
 
         Debugger::checkpoint('Cache: before redis connect');
         if ($this->r->connect($this->host, $this->port) == true) {
+            if ($this->password) {
+                $this->r->auth($this->password);
+            }
             $this->r->setOption(\Redis::OPT_SERIALIZER, \Redis::SERIALIZER_PHP);
             Debugger::checkpoint('Cache: after redis connect');
 
